> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Company Bio

GET https://api.filesearch.dev/v2/datasets/odyssey/companies/{company_id}/bio

Get a comprehensive company profile.

**Headers:**

* `Authorization`: Bearer \{api\_key}
* `X-Organization-ID`: Organization UUID

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/companies/companies-bio

## Request

### Path parameters

- `company_id` (string, required) — Company entity ID or identifier

## Response

### 200

Successful Response

- `entity_id` (string, required)
- `cached_at` (string, optional, nullable)
- `company_type` (string, optional, nullable)
- `data_sources` (list of string, optional)
- `description` (string, optional, nullable)
- `display_name` (string, optional, nullable)
- `employee_count` (integer, optional, nullable)
- `entity_type` (string, optional, default: company)
- `founded` (integer, optional, nullable)
- `headquarters` (CompanyOverviewHeadquarters, optional, nullable)
- `industry` (string, optional, nullable)
- `social_profiles` (CompanyOverviewSocialProfiles, optional, nullable)
- `website` (string, optional, nullable)

## Errors

### 404 Not Found Error

Company not found

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

## Types

### CompanyOverviewHeadquarters

### CompanyOverviewSocialProfiles

### ErrorResponseV2Details

## Examples

**Response**

```json
{
  "entity_id": "019e5ffb-550d-74b2-b4bb-84410a854f8d",
  "cached_at": "2026-07-03T22:01:20.956529",
  "company_type": "private",
  "data_sources": [
    "cache"
  ],
  "description": "stripe is a financial infrastructure platform for businesses. millions of companies—from the world’s largest enterprises to the most ambitious startups—use stripe to accept payments, grow their revenue, and accelerate new business opportunities. headquartered in san francisco and dublin, the company aims to increase the gdp of the internet.",
  "display_name": "Stripe",
  "employee_count": 11070,
  "entity_type": "company",
  "founded": 2010,
  "headquarters": {
    "city": "south san francisco",
    "state": "california",
    "country": "united states"
  },
  "industry": "internet",
  "social_profiles": {
    "linkedin": "linkedin.com/company/stripe",
    "twitter": "twitter.com/stripe",
    "facebook": "facebook.com/stripehq"
  },
  "website": "stripe.com"
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/companies/stripe/bio",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/companies/stripe/bio`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```